Skip to main content
`Ctrl`+`K`

# DMForestGetInitialRefinement

Get the initial level of refinement (relative to the base `DM`, see `DMForestGetBaseDM()`) allowed in the forest.

## Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMForestGetInitialRefinement(DM dm, PetscInt *initRefinement)

Not Collective

## Input Parameter

- dm - the forest

## Output Parameter

- initRefinement - default `PETSC_DEFAULT` (interpreted by the subtype of `DMFOREST`)

## See Also

`DM`, `DMFOREST`, `DMForestSetMinimumRefinement()`, `DMForestSetMaximumRefinement()`, `DMForestGetBaseDM()`

## Level

intermediate

## Location

src/dm/impls/forest/forest.c

Index of all DMForest routines
Table of Contents for all manual pages
Index of all manual pages